=== debian/changelog ===
sane-airscan (0.99.12-1ubuntu2) groovy; urgency=medium

  * Updated debian/copyright for missing http_parser.* Expat license mention
    (Closes: #968261).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 13 Aug 2020 12:34:56 +0200

sane-airscan (0.99.12-1ubuntu1) groovy; urgency=medium

  * Adapted build dependencies: libjpeg-turbo8-dev instead of
    libjpeg62-turbo-dev, debhelper-compat (=12) instead of (=13).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu,  6 Aug 2020 22:22:22 +0200

sane-airscan (0.99.12-1) unstable; urgency=medium

  * New 0.99.12 upstream version
    - Update B-D: drop libsoup and libglib, add gnutls, libxml2

 -- Didier Raboud <odyx@debian.org>  Thu, 06 Aug 2020 17:52:00 +0200

sane-airscan (0.99.10-1) unstable; urgency=medium

  * New 0.99.10 upstream version
    - Drop patches included upstream

 -- Didier Raboud <odyx@debian.org>  Thu, 16 Jul 2020 18:48:15 +0200

sane-airscan (0.99.8-2) unstable; urgency=medium

  * Fix homepage URL
  * Patch manpage to fix typo and acute-accent syntax warning

 -- Didier Raboud <odyx@debian.org>  Fri, 10 Jul 2020 18:27:04 +0200

sane-airscan (0.99.8-1) unstable; urgency=low

  * Initial release (Closes: #964446)

 -- Didier Raboud <odyx@debian.org>  Fri, 10 Jul 2020 18:03:10 +0200
