=== debian/control ===
Source: sane-airscan
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Section: graphics
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 libavahi-common-dev,
 libavahi-client-dev,
 libsane-dev,
 libjpeg-turbo8-dev,
 libpng-dev,
 libxml2-dev,
 gnutls-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/alexpevzner/sane-airscan
Vcs-Browser: https://salsa.debian.org/printing-team/sane-airscan
Vcs-Git: https://salsa.debian.org/printing-team/sane-airscan.git

Package: sane-airscan
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: SANE backend for AirScan (eSCL) and WSD document scanner
 Similar to how most modern network printers support "driverless"
 printing, using the universal vendor-neutral printing protocol, many
 modern network scanners and MFPs support "driverless" scanning.
 .
 Driverless scanning comes in two flavors:
 .
 * Apple AirScan or AirPrint scanning (official protocol name is eSCL)
 * Microsoft WSD, or WS-Scan (term WSD means "Web Services for Devices)
 .
 This backend implements both protocols, choosing automatically between
 them. It was successfully tested with many devices from Brother, Canon,
 Kyocera, Lexmark, Epson, HP, Ricoh, Samsung and Xerox both in WSD and
 eSCL modes.
