=== debian/changelog ===
sane-airscan (0.99.15-1) unstable; urgency=medium

  * New 0.99.15 upstream release
    - Drop the two FTCBFS patches included upstream
  * Add libjpeg-turbo8-dev as alternate B-D, to build on Ubuntu

 -- Didier Raboud <odyx@debian.org>  Fri, 21 Aug 2020 14:56:03 +0200

sane-airscan (0.99.13-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS (Closes: #968421):
    - Respect provided INSTALL to never strip
    - Respect provided PKG_CONFIG

 -- Didier Raboud <odyx@debian.org>  Sun, 16 Aug 2020 13:21:43 +0200

sane-airscan (0.99.13-1) unstable; urgency=medium

  * New 0.99.13 upstream version
  * d/copyright: Add missing http_parser.* Expat license mention
    (Closes: #968261)

 -- Didier Raboud <odyx@debian.org>  Thu, 13 Aug 2020 11:03:59 +0200
