=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: graphics
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libavahi-common-dev,
  libavahi-client-dev,
  libsane-dev,
- libjpeg-turbo8-dev,
+ libjpeg62-turbo-dev | libjpeg-turbo8-dev,
  libpng-dev,
  libxml2-dev,
  gnutls-dev,
