## sane-airscan 0.99.15-1+9.0trisquel1

=== debian/changelog ===
sane-airscan (0.99.15-1+9.0trisquel1) etiona; urgency=medium

  * Backported from groovy

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 16 Dec 2020 22:18:55 +0000
