=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: graphics
 Priority: optional
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper,
  libavahi-common-dev,
  libavahi-client-dev,
  libsane-dev,
