## sane-airscan 0.99.16

=== debian/changelog ===
sane-airscan (0.99.16-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 11 Oct 2020 16:26:18 -0400

sane-airscan (0.99.16-1) unstable; urgency=medium

  * New 0.99.16 upstream version
  * Add ipp-usb Recommends (Closes: #969235)

 -- Didier Raboud <odyx@debian.org>  Wed, 02 Sep 2020 21:53:05 +0200
