## sane-airscan 0.99.18

=== Makefile ===
--- 
+++ 
@@ -48,7 +48,7 @@
 deps_CFLAGS		:= $(foreach lib, $(DEPS_COMMON), $(shell $(PKG_CONFIG) --cflags $(lib)))
 deps_CFLAGS		+= $(foreach lib, $(DEPS_CODECS), $(shell $(PKG_CONFIG) --cflags $(lib)))
 
-deps_LIBS 		:= $(foreach lib, $(DEPS_COMMON), $(shell $(PKG_CONFIG) --libs $(lib))) -lm
+deps_LIBS 		:= $(foreach lib, $(DEPS_COMMON), $(shell $(PKG_CONFIG) --libs $(lib))) -lm -lpthread
 deps_LIBS_CODECS 	:= $(foreach lib, $(DEPS_CODECS), $(shell $(PKG_CONFIG) --libs $(lib)))
 
 # Compute CFLAGS and LDFLAGS for backend and tools
@@ -60,7 +60,7 @@
 
 backend_LDFLAGS 	:= $(LDFLAGS)
 backend_LDFLAGS 	+= $(deps_LIBS) $(deps_LIBS_CODECS)
-backend_LDFLAGS 	+= -Wl,--version-script=airscan.sym
+backend_LDFLAGS 	+= -Wl,--version-script=airscan.sym -Wl,--no-undefined
 
 tools_LDFLAGS 		:= $(LDFLAGS)
 tools_LDFLAGS 		+= $(deps_LIBS)
@@ -74,9 +74,9 @@
 
 .PHONY: all clean install man
 
-all:	tags $(BACKEND) $(DISCOVER) test test-decode test-multipart test-uri
+all:	tags $(BACKEND) $(DISCOVER) test test-decode test-multipart test-zeroconf test-uri
 
-tags: $(SRC) airscan.h test.c test-decode.c test-multipart.c test-uri.c
+tags: $(SRC) airscan.h test.c test-decode.c test-multipart.c test-zeroconf.c test-uri.c
 	-ctags -R .
 
 $(BACKEND): $(OBJDIR)airscan.o $(LIBAIRSCAN) airscan.sym
@@ -92,18 +92,20 @@
 	mkdir -p $(DESTDIR)$(PREFIX)$(BINDIR)
 	mkdir -p $(DESTDIR)$(PREFIX)$(CONFDIR)
 	mkdir -p $(DESTDIR)$(PREFIX)$(CONFDIR)/dll.d
-	$(INSTALL) $(STRIP) -D -t $(DESTDIR)$(PREFIX)$(BINDIR) $(DISCOVER)
-	cp -n airscan.conf $(DESTDIR)$(PREFIX)$(CONFDIR)
-	cp -n dll.conf $(DESTDIR)$(PREFIX)$(CONFDIR)/dll.d/airscan
-	$(INSTALL) $(STRIP) -D -t $(DESTDIR)$(PREFIX)$(LIBDIR)/sane $(BACKEND)
+	$(INSTALL) $(STRIP) -D $(DISCOVER) $(DESTDIR)$(PREFIX)$(BINDIR)
+	[ -e $(DESTDIR)$(PREFIX)$(CONFDIR)/airscan.conf ] || cp airscan.conf $(DESTDIR)$(PREFIX)$(CONFDIR)
+	[ -e $(DESTDIR)$(PREFIX)$(CONFDIR)/dll.d/airscan ] || cp dll.conf $(DESTDIR)$(PREFIX)$(CONFDIR)/dll.d/airscan
+	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/sane
+	$(INSTALL) $(STRIP) -D $(BACKEND) $(DESTDIR)$(PREFIX)$(LIBDIR)/sane
+	mkdir -p $(DESTDIR)$(PREFIX)/$(MANDIR)/man1
 	mkdir -p $(DESTDIR)$(PREFIX)/$(MANDIR)/man5
-	$(INSTALL) -m 644 -D -t $(DESTDIR)$(PREFIX)$(MANDIR)/man1 $(MAN_DISCOVER)
-	$(INSTALL) -m 644 -D -t $(DESTDIR)$(PREFIX)$(MANDIR)/man5 $(MAN_BACKEND)
+	$(INSTALL) -m 644 $(MAN_DISCOVER) $(DESTDIR)$(PREFIX)$(MANDIR)/man1
+	$(INSTALL) -m 644 $(MAN_BACKEND) $(DESTDIR)$(PREFIX)$(MANDIR)/man5
 	[ "$(COMPRESS)" = "" ] || $(COMPRESS) -f $(DESTDIR)$(PREFIX)$(MANDIR)/man1/$(MAN_DISCOVER)
 	[ "$(COMPRESS)" = "" ] || $(COMPRESS) -f $(DESTDIR)$(PREFIX)$(MANDIR)/man5/$(MAN_BACKEND)
 
 clean:
-	rm -f test test-decode test-multipart test-uri $(BACKEND) tags
+	rm -f test test-decode test-multipart test-zeroconf test-uri $(BACKEND) tags
 	rm -rf $(OBJDIR)
 
 uninstall:
@@ -130,5 +132,8 @@
 test-multipart: test-multipart.c $(LIBAIRSCAN)
 	 $(CC) -o test-multipart test-multipart.c $(CPPFLAGS) $(common_CFLAGS) $(LIBAIRSCAN) $(tests_LDFLAGS)
 
+test-zeroconf: test-zeroconf.c $(LIBAIRSCAN)
+	 $(CC) -o test-zeroconf test-zeroconf.c $(CPPFLAGS) $(common_CFLAGS) $(LIBAIRSCAN) $(tests_LDFLAGS)
+
 test-uri: test-uri.c $(LIBAIRSCAN)
 	 $(CC) -o test-uri test-uri.c $(CPPFLAGS) $(common_CFLAGS) $(LIBAIRSCAN) $(tests_LDFLAGS)
