=== debian/changelog ===
sane-airscan (0.99.18-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 26 Oct 2020 14:07:51 -0400

sane-airscan (0.99.18-1) unstable; urgency=medium

  * 0.99.18 upstream release

 -- Didier Raboud <odyx@debian.org>  Wed, 14 Oct 2020 18:41:10 +0200

sane-airscan (0.99.17-1) unstable; urgency=medium

  * New 0.99.17 upstream version

 -- Didier Raboud <odyx@debian.org>  Sat, 10 Oct 2020 17:09:49 +0200
