=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: sane-airscan
-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Didier Raboud <odyx@debian.org>
 Section: graphics
 Priority: optional
 Build-Depends:
- debhelper,
+ debhelper-compat (= 13),
  libavahi-common-dev,
  libavahi-client-dev,
  libsane-dev,
@@ -22,6 +23,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Recommends: ipp-usb
 Description: SANE backend for AirScan (eSCL) and WSD document scanner
  Similar to how most modern network printers support "driverless"
  printing, using the universal vendor-neutral printing protocol, many
