## sane-airscan 0.99.19

=== debian/changelog ===
sane-airscan (0.99.19-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 05 Nov 2020 12:02:32 -0500

sane-airscan (0.99.19-1) unstable; urgency=medium

  * 0.99.19 upstream release
    - Cherry-pick fix for upstream #92

 -- Didier Raboud <odyx@debian.org>  Thu, 29 Oct 2020 19:44:24 +0100
