## sane-airscan 0.99.20

=== debian/changelog ===
sane-airscan (0.99.20-1) unstable; urgency=medium

  * 0.99.20 upstream release
    - Drop patch cherry-picks
    - Update d/copyright for holders
  * Bump S-V to 4.5.1 after copyright update

 -- Didier Raboud <odyx@debian.org>  Mon, 23 Nov 2020 08:34:02 +0100
