## sane-airscan 0.99.21

=== debian/changelog ===
sane-airscan (0.99.21-1) unstable; urgency=medium

  * 0.99.21 upstream release

 -- Didier Raboud <odyx@debian.org>  Thu, 10 Dec 2020 15:35:58 +0100
