=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sane-airscan
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Didier Raboud <odyx@debian.org>
 Section: graphics
 Priority: optional
@@ -13,7 +12,7 @@
  libpng-dev,
  libxml2-dev,
  gnutls-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/alexpevzner/sane-airscan
 Vcs-Browser: https://salsa.debian.org/printing-team/sane-airscan
