## sane-airscan 0.99.21%2B80.1

=== Makefile ===
--- 
+++ 
@@ -60,7 +60,7 @@
 
 backend_LDFLAGS 	:= $(LDFLAGS)
 backend_LDFLAGS 	+= $(deps_LIBS) $(deps_LIBS_CODECS)
-backend_LDFLAGS 	+= -Wl,--version-script=airscan.sym -Wl,--no-undefined
+backend_LDFLAGS 	+= -Wl,--version-script=airscan.sym -Wl,--no-undefined -lc
 
 tools_LDFLAGS 		:= $(LDFLAGS)
 tools_LDFLAGS 		+= $(deps_LIBS)
