=== debian/changelog ===
sane-airscan (0.99.22-1) unstable; urgency=medium

  * 0.99.22 upstream release

 -- Didier Raboud <odyx@debian.org>  Tue, 29 Dec 2020 11:15:05 +0100
