## sane-airscan 0.99.23

=== debian/changelog ===
sane-airscan (0.99.23-1) unstable; urgency=medium

  * 0.99.23 upstream release

 -- Didier Raboud <odyx@debian.org>  Mon, 11 Jan 2021 20:02:26 +0100
