=== debian/changelog ===
sane-airscan (0.99.24-1) unstable; urgency=medium

  * 0.99.24 upstream release
  * Recommend sane-utils (Closes: #981394)

 -- Didier Raboud <odyx@debian.org>  Sun, 07 Feb 2021 16:19:26 +0100
