=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: sane-airscan
 Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
-Uploaders: Didier Raboud <odyx@debian.org>
+Uploaders:
+ Didier Raboud <odyx@debian.org>,
 Section: graphics
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
+ gnutls-dev,
+ libavahi-client-dev,
  libavahi-common-dev,
- libavahi-client-dev,
- libsane-dev,
  libjpeg62-turbo-dev | libjpeg-turbo8-dev,
  libpng-dev,
+ libsane-dev,
  libxml2-dev,
- gnutls-dev,
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/alexpevzner/sane-airscan
@@ -20,9 +21,12 @@
 
 Package: sane-airscan
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: ipp-usb
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ ipp-usb,
+ sane-utils,
 Description: SANE backend for AirScan (eSCL) and WSD document scanner
  Similar to how most modern network printers support "driverless"
  printing, using the universal vendor-neutral printing protocol, many
