## sane-airscan 0.99.25

=== debian/changelog ===
sane-airscan (0.99.25-0ubuntu1) hirsute; urgency=medium

  * 0.99.25 upstream release

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 13 Apr 2021 08:58:29 +0200
