## sane-airscan 0.99.26

=== debian/changelog ===
sane-airscan (0.99.26-2ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    * Applied upstream fix for compatibility with GCC 11 (Upstream commit
      60ffce4be87eb).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 06 Sep 2021 21:11:41 +0200

sane-airscan (0.99.26-2) unstable; urgency=medium

  * Migrate 0.99.26 to unstable
  * S-V: Update to 4.6.0 without changes needed
  * Remove myself from Uploaders
  * Add Salsa CI configuration

 -- Didier Raboud <odyx@debian.org>  Mon, 06 Sep 2021 11:48:32 +0200

sane-airscan (0.99.26-1ubuntu1) impish; urgency=medium

  * Applied upstream fix for compatibility with GCC 11 (Upstream commit
    60ffce4be87eb).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 18 Aug 2021 18:14:41 +0200

sane-airscan (0.99.26-1) experimental; urgency=medium

  * New 0.99.26 upstream release

 -- Didier Raboud <odyx@debian.org>  Thu, 22 Apr 2021 18:09:16 +0200

sane-airscan (0.99.25-1) experimental; urgency=medium

  * New 0.99.25 upstream release

 -- Didier Raboud <odyx@debian.org>  Wed, 14 Apr 2021 07:56:37 +0200
