=== debian/control ===
--- 
+++ 
@@ -1,7 +1,5 @@
 Source: sane-airscan
 Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
-Uploaders:
- Didier Raboud <odyx@debian.org>,
 Section: graphics
 Priority: optional
 Build-Depends:
@@ -13,11 +11,11 @@
  libpng-dev,
  libsane-dev,
  libxml2-dev,
-Standards-Version: 4.5.1
-Rules-Requires-Root: no
-Homepage: https://github.com/alexpevzner/sane-airscan
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/printing-team/sane-airscan
 Vcs-Git: https://salsa.debian.org/printing-team/sane-airscan.git
+Homepage: https://github.com/alexpevzner/sane-airscan
+Rules-Requires-Root: no
 
 Package: sane-airscan
 Architecture: any
