=== debian/changelog ===
sane-airscan (0.99.27-1) unstable; urgency=medium

  * Update to new upstream version 0.99.27.
  * debian/control: add myself to Uploaders:

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 18 Oct 2021 19:11:30 +0000
