=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: sane-airscan
 Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Section: graphics
 Priority: optional
 Build-Depends:
