## sane-airscan 0.99.27-1+10.0trisquel2

=== debian/changelog ===
sane-airscan (0.99.27-1+10.0trisquel2) nabia; urgency=medium

  * Backported from jammy

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 12 Jan 2022 07:56:31 +0000
