## sane-airscan 0.99.27-1+10.0trisquel3

=== debian/changelog ===
sane-airscan (0.99.27-1+10.0trisquel3) nabia; urgency=medium

  * Backported from jammy

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 06 Dec 2023 02:22:43 +0000

sane-airscan (0.99.27-1build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:51:09 +0100
