=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: sane-airscan
-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Section: graphics
 Priority: optional
