=== debian/changelog ===
sane-airscan (0.99.29-0ubuntu4) noble; urgency=high

  * No change rebuild against libgnutls30t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:49:28 +0200

sane-airscan (0.99.29-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:11:00 +0000

sane-airscan (0.99.29-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:13:20 +0000

sane-airscan (0.99.29-0ubuntu1) noble; urgency=medium

  * New upstream release.
    - Many bug fixes and quirk workaround for more devices to work.
  * Added libtiff5-dev to the build dependencies.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 28 Feb 2024 22:52:18 +0100
