=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: sane-airscan
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Section: graphics
 Priority: optional
 Build-Depends:
- debhelper,
+ debhelper-compat (= 13),
  gnutls-dev,
  libavahi-client-dev,
  libavahi-common-dev,
  libjpeg62-turbo-dev | libjpeg-turbo8-dev,
  libpng-dev,
+ libtiff5-dev,
  libsane-dev,
  libxml2-dev,
 Standards-Version: 4.6.0
