## sane-airscan 0.99.32

=== debian/changelog ===
sane-airscan (0.99.32-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 20 Feb 2025 13:34:56 +0100

sane-airscan (0.99.29-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 0.99.29. Closes: #1073356.
  * B-D libtiff-dev

 -- Jérémy Lal <kapouer@melix.org>  Thu, 25 Jul 2024 11:36:13 +0200
