=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sane-airscan
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Section: graphics
 Priority: optional
@@ -11,8 +10,8 @@
  libavahi-common-dev,
  libjpeg62-turbo-dev | libjpeg-turbo8-dev,
  libpng-dev,
- libtiff5-dev,
  libsane-dev,
+ libtiff-dev,
  libxml2-dev,
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/printing-team/sane-airscan
