## sane-airscan 0.99.34

=== debian/changelog ===
sane-airscan (0.99.34-1) unstable; urgency=medium

  * New upstream release.
  * NMU destroyed debrebase branch, so better not use this

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 19 Apr 2025 01:15:42 +0200
