## sane-airscan 0.99.35

=== debian/changelog ===
sane-airscan (0.99.35-1) unstable; urgency=medium

  * New upstream release.
  * this release basically fixes problems with Xerox B205/B215

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 04 May 2025 10:13:05 +0200
