=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(\d\S+)\.tar\.gz/sane-airscan-$1\.tar\.gz/ https://github.com/alexpevzner/sane-airscan/tags .*\/(\d\S+)\.tar\.gz debian uupdate
