=== debian/changelog ===
sane-airscan (0.99.36-2ubuntu1) resolute; urgency=medium

  * fix FTBFS with glibc 2.43 (LP: #2142901)

 -- Simon Poirier <simon.poirier@canonical.com>  Mon, 02 Mar 2026 20:08:09 -0500

sane-airscan (0.99.36-2) unstable; urgency=medium

  * upload to unstable
  * unify salsa-ci.yml
  * #1047535 has been fixed before, closing it now
    (Closes: #1047535)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 11 Aug 2025 11:34:46 +0200

sane-airscan (0.99.36-1) experimental; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 31 Jul 2025 16:34:46 +0200
