=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: sane-airscan
-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Section: graphics
 Priority: optional
@@ -13,7 +14,7 @@
  libsane-dev,
  libtiff-dev,
  libxml2-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/printing-team/sane-airscan
 Vcs-Git: https://salsa.debian.org/printing-team/sane-airscan.git
 Homepage: https://github.com/alexpevzner/sane-airscan
